<bugID>1044365<Summary>return value of console evaluation should be shown after any console logs from the code executed</Summary><Description>User Agent: Mozilla/5.0 (Windows NT 6.3; WOW64; rv:31.0) Gecko/20100101 Firefox/31.0 (Beta/Release)
Build ID: 20140716183446

Steps to reproduce:

Just try to log simple stuff:

JS code to execute in console:

var a = 10; console.log(a); a = 20; a;




Actual results:

It displays return value at first. 

Result is: 

20
10


Expected results:

should show console.log. 


Result is: 

10
20</Description></bugID>